Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
vod_statistics_series = client.streaming.statistics.get_vod_transcoding_duration(
from_="from",
to="to",
)
print(vod_statistics_series)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/streaming"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
vodStatisticsSeries, err := client.Streaming.Statistics.GetVodTranscodingDuration(context.TODO(), streaming.StatisticGetVodTranscodingDurationParams{
From: "from",
To: "to",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", vodStatisticsSeries)
}curl --request GET \
--url https://api.gcore.com/streaming/statistics/vod/transcoding_duration \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/streaming/statistics/vod/transcoding_duration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"client": 123,
"metrics": {
"vod": [
[
1640995210,
10
],
[
1640995310,
10
],
[
1640995410,
10
],
[
1640995510,
20
],
[
1640995610,
20
]
]
}
}
]{
"data": [],
"errors": [
"from: query param is not set"
]
}{
"data": [],
"errors": [
"internal server error"
]
}Streaming Statistics
Get VOD transcoding duration
Calculates time series of the transcoding time in minutes for all processed client videos.
The data is updated every 8 hours, it does not make sense to set the granulation less than 1 day.
GET
/
streaming
/
statistics
/
vod
/
transcoding_duration
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
vod_statistics_series = client.streaming.statistics.get_vod_transcoding_duration(
from_="from",
to="to",
)
print(vod_statistics_series)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/streaming"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
vodStatisticsSeries, err := client.Streaming.Statistics.GetVodTranscodingDuration(context.TODO(), streaming.StatisticGetVodTranscodingDurationParams{
From: "from",
To: "to",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", vodStatisticsSeries)
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
Start of time frame. Datetime in ISO 8601 format.
End of time frame. Datetime in ISO 8601 format.
Was this page helpful?
⌘I